SAVE OUTFILE='travail.sav'
/DROP 	sida1
	sida2
	sida3.
EXECUTE.

SAVE OUTFILE='travail.sav'
/KEEP 	id
	carnet
	consult
	datecons
	vacchb
	vaccha
	vaccroug
	vaccgrip.
EXECUTE.

SORT CASES BY
  id (A) .
EXECUTE.

GET FILE='fecondite.sav'.

SAVE OUTFILE='enfant1.sav'
	/KEEP	id
		nbenf
		sexe$1
		annee$1
		dc$1
	/RENAME
		sexe$1=sexe
		annee$1=annee
		dc$1=dc
.
EXECUTE.

SAVE OUTFILE='enfant2.sav'
	/KEEP	id
		nbenf
		sexe$2
		annee$2
		dc$2
	/RENAME
		sexe$2=sexe
		annee$2=annee
		dc$2=dc
.
EXECUTE.

SAVE OUTFILE='enfant3.sav'
	/KEEP	id
		nbenf
		sexe$3
		annee$3
		dc$3
	/RENAME
		sexe$3=sexe
		annee$3=annee
		dc$3=dc
.
EXECUTE.

GET FILE='enfant1.sav'.
COMPUTE rang = 1 .
EXECUTE .
SAVE OUTFILE='enfant1.sav'.

GET FILE='enfant2.sav'.
COMPUTE rang = 2 .
EXECUTE .
SAVE OUTFILE='enfant2.sav'.

GET FILE='enfant3.sav'.
COMPUTE rang = 3 .
EXECUTE .
SAVE OUTFILE='enfant3.sav'.

ADD FILES
	/FILE='enfant1.sav' 
	/FILE='enfant2.sav'
	/FILE='enfant3.sav'.
EXECUTE.

SAVE OUTFILE='enfants.sav'.

SELECT IF(rang <= nbenf).
EXECUTE .

COMPUTE idenf = id*10+rang .
VARIABLE LABELS 	idenf "Identifiant de l'enfant"
			rang "Rang de l'enfant"
			sexe "Sexe de l'enfant"
			annee "Anne de naissance de l'enfant"
			dc "L'enfant est-il dcder ?".
EXECUTE .

GET FILE='indiv.sav'.
SORT CASES BY id (A) .
EXECUTE.
SAVE OUTFILE='indiv.sav'.

GET FILE='enfants.sav'.
SORT CASES BY id (A) .
EXECUTE.
SAVE OUTFILE='enfants.sav'.

MATCH FILES 
 /FILE=*
 /TABLE='indiv.sav'
 /RENAME  sexe=sexepar
 /BY id.
EXECUTE.

SAVE OUTFILE='enfants.sav'.

